| Kea 3.0.2-git

lease_query_impl6.h File Reference
`#include <config.h>`
`#include <asiolink/io_address.h>`
`#include <dhcp/dhcp6.h>`
`#include <dhcp/option6_iaaddr.h>`
`#include <dhcp/option6_status_code.h>`
`#include <dhcp/option_custom.h>`
`#include <dhcp/pkt6.h>`
`#include <dhcpsrv/lease.h>`
`#include <dhcpsrv/cfgmgr.h>`
`#include <lease_query_impl.h>`
Include dependency graph for lease_query_impl6.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::lease_query::LeaseQueryImpl6
| Provides configuration and control flow for processing queries. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::lease_query

## Typedefs
typedef boost::shared_ptr< LeaseQueryImpl6 > | isc::lease_query::LeaseQueryImpl6Ptr
| Defines a smart pointer to LeaseQueryImpl6 instance.
typedef std::set< uint8_t > | isc::lease_query::PrefixLengthList
| Defines an ordered list of prefix lengths.
typedef boost::shared_ptr< dhcp::Pkt6::RelayInfo > | isc::lease_query::RelayInfoPtr
| Defines a shared pointer to a Pkt6::RelayInfo.